package com.fos.modules.vipmenu.dao;

import com.fos.core.base.CurdDao;
import com.fos.modules.vipmenu.entity.VipMenuEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Created by Tony on 7/19/2016.
 */
public interface VipMenuDao extends CurdDao<VipMenuEntity> {

    //获取已推送菜单单品
    public List<VipMenuEntity> getFoodMenu();

    //获取已推送菜单种类
    public List<VipMenuEntity> getFoodMenuType();

    //获取已推送菜单单品
    public List<VipMenuEntity> getFoodMenuPackage();

    //查询套餐中的菜品
    public List<VipMenuEntity> getFoodMenuPacks(@Param(value = "containArr")String[] containArr);
}
